2017-09-19 19:13 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0003174FSSCPPilot datapublic2017-08-26 17:04
ReporterGoober5000 
Assigned ToGoober5000 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target Version3.8Fixed in Version3.8.1 
Summary0003174: Unable to switch campaigns in the campaign room in certain cases
DescriptionIf you play through a campaign until it's complete, then switch to a new campaign (and click OK), then try to switch back to the completed campaign (and click OK again), the button will play the error beep and FSO does not leave the campaign room.

Despite this, the asterisk indicator does move to the newly selected campaign, and if you exit the campaign room by pressing Escape, that campaign is now the active one. But when you try to go to the Ready Room, FSO will tell you that the campaign is over.

To actually be able to play the campaign, you need to go back to the campaign room and click Reset Campaign. The behavior should be that when you switch to a new campaign that has been completed, the campaign should start over from the beginning.

I wonder if this behavior is an unintended side-effect of allowing the player to switch campaigns mid-campaign and yet not be forced to start over from the beginning?

Assigning to niffiwan since I'm fairly certain it has to do with the pilot code. >.>
Steps To ReproduceSee above.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0016820

MageKing17 (developer)

Bumping target.

~0016906

Goober5000 (administrator)

Assigning to myself since I figured out what is causing this, though not necessarily an exact fix. A Git PR will be forthcoming.

~0016907

Goober5000 (administrator)

Last edited: 2017-08-26 04:25

View 2 revisions

See GitHub PR 1450.
https://github.com/scp-fs2open/fs2open.github.com/pull/1450

~0016908

Goober5000 (administrator)

PR has been merged, so this is fixed.
+Notes

-Issue History
Date Modified Username Field Change
2015-10-02 01:11 Goober5000 New Issue
2015-10-02 01:11 Goober5000 Status new => assigned
2015-10-02 01:11 Goober5000 Assigned To => niffiwan
2016-03-23 06:03 MageKing17 Note Added: 0016820
2016-03-23 06:03 MageKing17 Target Version 3.7.4 => 3.8
2017-08-18 00:27 Goober5000 Assigned To niffiwan => Goober5000
2017-08-18 00:27 Goober5000 Note Added: 0016906
2017-08-26 04:24 Goober5000 Note Added: 0016907
2017-08-26 04:25 Goober5000 Note Edited: 0016907 View Revisions
2017-08-26 16:15 Goober5000 Status assigned => resolved
2017-08-26 16:15 Goober5000 Resolution open => fixed
2017-08-26 16:15 Goober5000 Note Added: 0016908
2017-08-26 17:04 Goober5000 Fixed in Version => 3.8.1
+Issue History